# sf::Glyph Class Reference

Structure describing a glyph (a visual character). More...

`#include <Glyph.hpp>`

List of all members.

## Public Member Functions

| Glyph ()
| Default constructor.

## Public Attributes

int | Advance
| Offset to move horizontically to the next character.
IntRect | Rectangle
| Bounding rectangle of the glyph, in relative coordinates.
FloatRect | TexCoords
| Texture coordinates of the glyph inside the bitmap font.

## Detailed Description

Structure describing a glyph (a visual character).

Definition at line 40 of file Glyph.hpp.

## Constructor & Destructor Documentation

sf::Glyph::Glyph | ( |  | ) | `[inline]`

Default constructor.

Definition at line 48 of file Glyph.hpp.

## Member Data Documentation

int sf::Glyph::Advance

Offset to move horizontically to the next character.

Definition at line 53 of file Glyph.hpp.

IntRect sf::Glyph::Rectangle

Bounding rectangle of the glyph, in relative coordinates.

Definition at line 54 of file Glyph.hpp.

FloatRect sf::Glyph::TexCoords

Texture coordinates of the glyph inside the bitmap font.

Definition at line 55 of file Glyph.hpp.

The documentation for this class was generated from the following file:

- Glyph.hpp